function combine_overlap, image, mask, overl

dim=size(image)
Nx=dim[1]
Ny=dim[1]
dimm=size(mask)
Nt=dimm[3]

;calculate mask total
mask_total = fltarr(Nx,Ny)
for t=0,Nt-1 do mask_total=mask_total+reform(mask[*,*,t])

;back to Fourier space...
fft_et = complexarr(Nx,Ny,Nt)
for t=0,Nt-1 do begin
        tmp1 = reform(mask[*,*,t])
        tmp2 = reform(overl[*,*,t])
        tmp3 = fft(tmp2)*tmp1
        fft_et[*,*,t] = tmp3
endfor

;resulting image fft, masked and with noise:
image_fft = complexarr(Nx,Ny)
for t=0,Nt-1 do begin
        image_fft = image_fft+reform(fft_et[*,*,t])
endfor
image_fft = image_fft/((mask_total)>1.0)

;---end noising
mask_total = mask_total < 1.0

return, image_fft

end
