function graph_convergence, fname, prefix, type

; read data from file fname
string = ""
;openr, filelun, fname, /get_lun
openr, 5, fname
n=0
while not eof(5) do begin
	readf, 5, string
	n=n+1
endwhile
;close, filelun
close, 5
a=fltarr(n,2)
;openr, filelun, fname, /get_lun
openr, 5, fname
for i=0, n-1 do begin
	readf, 5, x1, x2
	a[i,0]=x1
	a[i,1]=x2
endfor
;close, filelun
close, 5

endnegs = a[n-1,1]	; last number of total negs, to be returned

; make x plot, if requested
if type eq 1 then begin
	plot, a[*,0],a[*,1], xtitle='iteration step', $
		ytitle='total of negs', $
		linestyle=0, title='convergence plot'
endif

; make ps plot, if requested
if type eq 2 then begin
	
	;Set up for pretty graphics
	!p.charsize=1.2
	!p.thick=3
	!p.font=6
	!x.thick=3
	!y.thick=3

	set_plot, 'ps'

	device,/encapsulated, filename=prefix+'convergence.eps', $
   		/inches, xsize=7
	plot, a[*,0],a[*,1], xtitle='iteration step',  $
		ytitle='total of negatives', $
		linestyle=0, title='convergence plot'
	device, /close

	set_plot, 'x'
endif


return, endnegs

end

