function overlappograms4, image, mask

; creats for an image overlappograms for 
; the projection angles -45, 0, 45, 90.
; Output is a 3 dim array, 3rd dim 
; index for angles

imagefft = fft(image)

dimensions=size(image)
Nx=dimensions[1]
Ny=dimensions[2]

dimmask=size(mask)
Nmask=dimmask[3]

overl_t=fltarr(Nx,Ny,Nmask)

for imask = 0,Nmask-1 do begin
	tmp1 = reform(mask[*,*,imask])
	tmp2 = float(fft(imagefft*tmp1, /inverse))>0.0
	overl_t[*,*,imask]=tmp2
endfor

return, overl_t

end
