function zeropad, cube

; assumes Nx > Nl, i.e. more spatial pixels than lambda pixels. 
; zero-pads lambda-axis so that each l,x slize of the l,x,y cube 
; is square

dimensions = size(cube)
Nl=dimensions[1]
Nx=dimensions[2]
totslices = dimensions[3]


padd_1=(Nx-Nl)/2
padd_2=padd_1+Nl-1
out=fltarr(Nx,Nx,totslices)
for i=0, totslices-1 do begin
	image = fltarr(Nx,Nx)
	image[padd_1:padd_2,*] = reform(cube[*,*,i])
	out[*,*,i] = image
endfor

return, out

end
